igeo.gui

## Class IIsoparmGraphic

- java.lang.Object
- - igeo.gui.IIsoparmGraphic

-     public class IIsoparmGraphic
      extends java.lang.Object

  Class to draw isoparms of a surface. This class is mainly used in ISurfaceGrahpicWireframeGL.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IPolyline[]` | `polyline`
    `IPolyline2D[]` | `polyline2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIsoparmGraphic(ISurfaceI surf, double param, boolean uOrV)`
    `IIsoparmGraphic(ISurfaceI surf, double param, boolean uOrV, ITrimLoopGraphic[] outtrims, ITrimLoopGraphic[] intrims)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPolyline` | `getLine(int i)`
    `IPolyline2D[]` | `getLine2D()`
    `IPolyline2D` | `getLine2D(int i)`
    `void` | `init(ISurfaceI surface, double param, boolean uOrV)`
    `void` | `init(ISurfaceI surface, double param, boolean uOrV, ITrimLoopGraphic[] outtrims, ITrimLoopGraphic[] intrims)`
    `int` | `num()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### polyline2

          public IPolyline2D[] polyline2

    - #### polyline

          public IPolyline[] polyline

  - ### Constructor Detail

    - #### IIsoparmGraphic

          public IIsoparmGraphic(ISurfaceI surf,
                                 double param,
                                 boolean uOrV)

    - #### IIsoparmGraphic

          public IIsoparmGraphic(ISurfaceI surf,
                                 double param,
                                 boolean uOrV,
                                 ITrimLoopGraphic[] outtrims,
                                 ITrimLoopGraphic[] intrims)

  - ### Method Detail

    - #### init

          public void init(ISurfaceI surface,
                           double param,
                           boolean uOrV)

    - #### init

          public void init(ISurfaceI surface,
                           double param,
                           boolean uOrV,
                           ITrimLoopGraphic[] outtrims,
                           ITrimLoopGraphic[] intrims)

    - #### num

          public int num()

    - #### getLine

          public IPolyline getLine(int i)

    - #### getLine2D

          public IPolyline2D getLine2D(int i)

    - #### getLine2D

          public IPolyline2D[] getLine2D()